library(ggplot2)

# 创建数据框
data <- data.frame(
  Maptype = c("Prototype map", "Prototype map", "Prototype map", "Prototype map", "Ipsmap", "Ipsmap", "Ipsmap", "Ipsmap"),
  Sense = c("Good", "Poor", "Good", "Poor", "Good", "Poor", "Good", "Poor"),
  Sketchtype = c("Connect", "Connect", "Separate", "Separate", "Connect", "Connect", "Separate", "Separate"),
  Count = c(5, 4, 1, 2, 1, 1, 5, 5)
)

# 创建柱状图
p <- ggplot(data, aes(x = Sketchtype, y = Count, fill = Sense)) +
  geom_bar(stat = "identity", position = "dodge") +
  facet_wrap(~Maptype, scales = "free_y") +
  labs(x = "Route sketch type", y = "Number of People", fill = "Sense of direction") +
  theme_minimal()

# 使用 theme 来调整 facet 标签的文字大小
p <- p +
  theme(strip.text = element_text(size = 12))  # 调整 size 参数来改变文字大小

p <- p +
  theme(axis.text.x = element_text(size = 10)) 

# 显示图形
print(p)

#使用ggsave保存图表
ggsave("my_plot.png", plot = p, width = 6, height = 4, dpi = 300)

