library(ggplot2)

# 创建数据框
data <- data.frame(
  Maptype = c( "Prototype map", "Prototype map","Ipsmap", "Ipsmap"),
  Type = c( "Correct_floor1", "Correct_floor2", "Correct_floor1", "Correct_floor2"),
  Count = c(12, 9, 9, 6)
)

integer_breaks <- function(n = 13, ...) {
  fxn <- function(x) {
    breaks <- floor(pretty(x, n, ...))
    names(breaks) <- attr(breaks, "labels")
    breaks
  }
  return(fxn)
}

# 自定义顺序
custom_order <- c("Correct_floor1", "Correct_floor2")

my_plot <- ggplot(data, aes(
  x = factor(Type,levels = custom_order), y = Count, fill = Maptype)) +
  geom_col(position = "dodge")+
  scale_fill_manual(values = c("#63AEF4","#61D9AC"))+
  scale_y_continuous(breaks = integer_breaks(),expand = expansion(mult = c(0,0)))+
  xlab("The performance of route sketches on different floors")+ylab("Number of people")+
  theme(axis.text.x = element_text(face = "bold",size = 10),panel.background = element_rect(fill = "transparent"),axis.line = element_line())+
  theme(axis.title.x = element_text(vjust = -1))+
  # 在柱子的中间顶部添加数字标签
  geom_text(aes(label = Count), position = position_dodge(width = 0.9), vjust = 1.6, size = 3)

# 显示图形
print(my_plot)

#使用ggsave保存图表
ggsave("my_plot.png", plot = my_plot, width = 6, height = 4, dpi = 300)



#后面这个是导入数据的方法

library(ggplot2)

integer_breaks <- function(n = 13, ...) {
  fxn <- function(x) {
    breaks <- floor(pretty(x, n, ...))
    names(breaks) <- attr(breaks, "labels")
    breaks
  }
  return(fxn)
}

# 自定义顺序
custom_order <- c("Freq_c", "Freq_s", "Cor_f1", "Cor_f2")

my_plot <- ggplot(Threeroute, aes(
  x = factor(Type,levels = custom_order), y = Count, fill = Maptype)) +
  geom_col(position = "dodge")+
  scale_fill_manual(values = c("#63AEF4","#61D9AC"))+
  scale_y_continuous(breaks = integer_breaks(),expand = expansion(mult = c(0,0)))+
  xlab(" ")+ylab("Number of people")+
  theme(axis.text.x = element_text(face = "bold",size = 10),panel.background = element_rect(fill = "transparent"),axis.line = element_line())+
  
  # 在柱子的中间顶部添加数字标签
  geom_text(aes(label = Count), position = position_dodge(width = 0.9), vjust = 1.6, size = 3)

#使用ggsave保存图表
ggsave("my_plot.png", plot = my_plot, width = 6, height = 4, dpi = 300)

